package com.usky.sas.common.onvif;

public class RecordingInfo {
    public String recordingToken;
    public String sourceId;
    public String cameraName;
    public String cameraIp;

    public RecordingInfo() {
    }

    public String getRecordingToken() {
        return this.recordingToken;
    }

    public String getSourceId() {
        return this.sourceId;
    }

    public String getCameraName() {
        return this.cameraName;
    }

    public String getCameraIp() {
        return this.cameraIp;
    }

    public void setRecordingToken(String recordingToken) {
        this.recordingToken = recordingToken;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public void setCameraName(String cameraName) {
        this.cameraName = cameraName;
    }

    public void setCameraIp(String cameraIp) {
        this.cameraIp = cameraIp;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof RecordingInfo)) {
            return false;
        } else {
            RecordingInfo other = (RecordingInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$recordingToken = this.getRecordingToken();
                Object other$recordingToken = other.getRecordingToken();
                if (this$recordingToken == null) {
                    if (other$recordingToken != null) {
                        return false;
                    }
                } else if (!this$recordingToken.equals(other$recordingToken)) {
                    return false;
                }

                Object this$sourceId = this.getSourceId();
                Object other$sourceId = other.getSourceId();
                if (this$sourceId == null) {
                    if (other$sourceId != null) {
                        return false;
                    }
                } else if (!this$sourceId.equals(other$sourceId)) {
                    return false;
                }

                Object this$cameraName = this.getCameraName();
                Object other$cameraName = other.getCameraName();
                if (this$cameraName == null) {
                    if (other$cameraName != null) {
                        return false;
                    }
                } else if (!this$cameraName.equals(other$cameraName)) {
                    return false;
                }

                Object this$cameraIp = this.getCameraIp();
                Object other$cameraIp = other.getCameraIp();
                if (this$cameraIp == null) {
                    if (other$cameraIp != null) {
                        return false;
                    }
                } else if (!this$cameraIp.equals(other$cameraIp)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof RecordingInfo;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $recordingToken = this.getRecordingToken();
        result = result * 59 + ($recordingToken == null ? 43 : $recordingToken.hashCode());
        Object $sourceId = this.getSourceId();
        result = result * 59 + ($sourceId == null ? 43 : $sourceId.hashCode());
        Object $cameraName = this.getCameraName();
        result = result * 59 + ($cameraName == null ? 43 : $cameraName.hashCode());
        Object $cameraIp = this.getCameraIp();
        result = result * 59 + ($cameraIp == null ? 43 : $cameraIp.hashCode());
        return result;
    }

    public String toString() {
        return "RecordingInfo(recordingToken=" + this.getRecordingToken() + ", sourceId=" + this.getSourceId() + ", cameraName=" + this.getCameraName() + ", cameraIp=" + this.getCameraIp() + ")";
    }
}
